Subject: Re: [Patch] Limit sysctl_tcp_mem and sysctl_udp_mem initializers to prevent integer overflows.

From: Robin Holt <[email-masked]>
Date: Sun, 3 Oct 2010 06:16:16 -0500

On Sat, Oct 02, 2010 at 03:22:16PM +0200, Eric Dumazet wrote:
> Le samedi 02 octobre 2010 à 06:24 -0500, Robin Holt a écrit :
...
> Strange, you mention sctp in changelog but I cant see the patch.

After looking at the patch, I realized it really belonged in a separate
change and sent that to the sctp mailing list without noticing I forgot
to Cc: lkml.

> We can switch infrastructure to use long "instead" of "int", now
> atomic_long_t primitives are available for free.
> 
> Reported-by: Robin Holt <[email-masked]>
> Signed-off-by: Eric Dumazet <[email-masked]>

Reviewed-by: Robin Holt <[email-masked]>